# -*- encoding: utf-8 -*-

def getyesno(message, default='y'):
    """ Utility for ask yes or no
    """
    choices = 'Y/n' if default.lower() in ('y', 'yes') else 'y/N'
    choice = raw_input("%s (%s) " % (message, choices))
    values = ('y', 'yes', '') if default == 'y' else ('y', 'yes')
    return True if choice.strip().lower() in values else False


def getstring(message, default=''):
    """ Utility for ask a string
    """
    value = raw_input("%s " % (message,))
    if not value:
        value = default
    return value
